/// <reference types="cypress" />
/**
 * Spawn Cypress as a child process, inherit all the flags and environment variables.
 *
 * @param apiUrl orchestration service URL
 */
export declare function spawn(apiUrl: string): Promise<void>;
/**
 * Run Cypress via {@link https://docs.cypress.io/guides/guides/module-api| Module API}
 *
 * @param apiUrl orchestration service URL
 * @param config Cypress.run {@link https://docs.cypress.io/guides/guides/module-api#Options| options}
 * @returns Cypress {@link https://docs.cypress.io/guides/guides/module-api#Results| run results}
 */
export declare function run(apiUrl: string, config: Partial<CypressCommandLine.CypressRunOptions>): Promise<CypressCommandLine.CypressRunResult | CypressCommandLine.CypressFailedRunResult>;
